/// <reference types="react" />
type SharedInputProps = Pick<React.InputHTMLAttributes<HTMLInputElement>, 'disabled' | 'tabIndex' | 'onClick'>;
interface SelectCellFormatterProps extends SharedInputProps {
    isCellSelected?: boolean;
    value: boolean;
    onChange: (value: boolean, isShiftClick: boolean) => void;
    aria?: React.AriaAttributes;
}
export declare function SelectCellFormatter({ value, tabIndex, isCellSelected, disabled, onClick, onChange, aria, }: SelectCellFormatterProps): import("react").JSX.Element;
export {};
//# sourceMappingURL=SelectCellFormatter.d.ts.map